%bcond_without check
%global debug_package %{nil}

%global crate slog

Name:           rust-slog
Version:        2.7.0
Release:    1%{?dist}
Summary:        Structured, extensible, composable logging for Rust

License:        MPL-2.0 OR MIT OR Apache-2.0
URL:            https://crates.io/crates/slog
Source0:         %{crates_source}
Patch:          slog-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Structured, extensible, composable logging for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-MPL2
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dynamic-keys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dynamic-keys-devel %{_description}

This package contains library source intended for building other packages which
use the "dynamic-keys" feature of the "%{crate}" crate.

%files       -n %{name}+dynamic-keys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+erased-serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+erased-serde-devel %{_description}

This package contains library source intended for building other packages which
use the "erased-serde" feature of the "%{crate}" crate.

%files       -n %{name}+erased-serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_debug-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_debug" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_error-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_error-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_error" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_error-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_info-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_info" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_info-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_off-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_off-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_off" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_off-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_trace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_trace-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_trace" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_trace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_warn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_warn-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_warn" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_warn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nested-values-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nested-values-devel %{_description}

This package contains library source intended for building other packages which
use the "nested-values" feature of the "%{crate}" crate.

%files       -n %{name}+nested-values-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nothreads-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nothreads-devel %{_description}

This package contains library source intended for building other packages which
use the "nothreads" feature of the "%{crate}" crate.

%files       -n %{name}+nothreads-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_debug-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_debug" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_error-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_error-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_error" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_error-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_info-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_info" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_info-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_off-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_off-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_off" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_off-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_trace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_trace-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_trace" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_trace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_warn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_warn-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_warn" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_warn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-1
- initial build
